OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Private Attributes
Script_Suspend Class Reference

A throw-class that is given when the script wants to suspend. More...

`#include <script_suspend.hpp>`

## Public Member Functions
| Script_Suspend (int time, Script_SuspendCallbackProc *callback)
| Create the suspend exception.
int | GetSuspendTime ()
| Get the amount of ticks the script should be suspended.
Script_SuspendCallbackProc * | GetSuspendCallback ()
| Get the callback to call when the script can run again.

## Private Attributes
int | time
| Amount of ticks to suspend the script.
Script_SuspendCallbackProc * | callback
| Callback function to call when the script can run again.

## Detailed Description

A throw-class that is given when the script wants to suspend.

Definition at line 23 of file script_suspend.hpp.

## Constructor & Destructor Documentation

Script_Suspend::Script_Suspend | ( | int | time,
|  | Script_SuspendCallbackProc * | callback
| ) |  |
| inline

Create the suspend exception.

Parameters

  time | The amount of ticks to suspend.
  callback | The callback to call when the script may resume again.

Definition at line 30 of file script_suspend.hpp.

## Member Function Documentation

Script_SuspendCallbackProc* Script_Suspend::GetSuspendCallback | ( |  | ) |
| inline

Get the callback to call when the script can run again.

Returns
  The callback function to run.

Definition at line 45 of file script_suspend.hpp.

References callback.

Referenced by ScriptInstance::GameLoop().

int Script_Suspend::GetSuspendTime | ( |  | ) |
| inline

Get the amount of ticks the script should be suspended.

Returns
  The amount of ticks to suspend the script.

Definition at line 39 of file script_suspend.hpp.

References time.

Referenced by ScriptInstance::GameLoop().

The documentation for this class was generated from the following file:

- src/script/script_suspend.hpp